.TH HG BOOKMARKS  "" "" ""
.SH NAME
hg bookmarks \- create a new bookmark or list existing bookmarks
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg bookmarks [OPTIONS]... [NAME]...
.ft P
.fi
.SH DESCRIPTION
.sp
Bookmarks are labels on changesets to help track lines of development.
Bookmarks are unversioned and can be moved, renamed and deleted.
Deleting or moving a bookmark has no effect on the associated changesets.
.sp
Creating or updating to a bookmark causes it to be marked as \(aqactive\(aq.
The active bookmark is indicated with a \(aq*\(aq.
When a commit is made, the active bookmark will advance to the new commit.
A plain \%\fBhg update\fP\: will also advance an active bookmark, if possible.
Updating away from a bookmark will cause it to be deactivated.
.sp
Bookmarks can be pushed and pulled between repositories (see
\%\fBhg help push\fP\: and \%\fBhg help pull\fP\:). If a shared bookmark has
diverged, a new \(aqdivergent bookmark\(aq of the form \%\(aqname@path\:\(aq will
be created. Using \%\fBhg merge\fP\: will resolve the divergence.
.sp
Specifying bookmark as \(aq.\(aq to \-m/\-d/\-l options is equivalent to specifying
the active bookmark\(aqs name.
.sp
A bookmark named \(aq@\(aq has the special property that \%\fBhg clone\fP\: will
check it out by default if it exists.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions such as \fB{bookmark}\fP. See also
\%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B active
.
Boolean. True if the bookmark is active.
.UNINDENT
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
create an active bookmark for a new line of development:
.sp
.nf
.ft C
hg book new\-feature
.ft P
.fi
.IP \(bu 2
.
create an inactive bookmark as a place marker:
.sp
.nf
.ft C
hg book \-i reviewed
.ft P
.fi
.IP \(bu 2
.
create an inactive bookmark on another changeset:
.sp
.nf
.ft C
hg book \-r .^ tested
.ft P
.fi
.IP \(bu 2
.
rename bookmark turkey to dinner:
.sp
.nf
.ft C
hg book \-m turkey dinner
.ft P
.fi
.IP \(bu 2
.
move the \(aq@\(aq bookmark from another branch:
.sp
.nf
.ft C
hg book \-f @
.ft P
.fi
.IP \(bu 2
.
print only the active bookmark name:
.sp
.nf
.ft C
hg book \-ql .
.ft P
.fi
.UNINDENT
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
force
.TP
.BI \-r,  \-\-rev \ <REV>
.
revision for bookmark action
.TP
.B \-d,  \-\-delete
.
delete a given bookmark
.TP
.BI \-m,  \-\-rename \ <OLD>
.
rename a given bookmark
.TP
.B \-i,  \-\-inactive
.
mark a bookmark inactive
.TP
.B \-l,  \-\-list
.
list existing bookmarks
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.SH ALIASES
.sp
.nf
.ft C
bookmark
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
